#include "stm32f10x.h"
#include "stdio.h"
#include "key.h"

void key_init(void)
{
	EXTI_InitTypeDef EXTI_InitStruct;
	NVIC_InitTypeDef NVIC_InitStruct;
	GPIO_InitTypeDef  GPIO_InitStructure;
	
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_AFIO|RCC_APB2Periph_GPIOE,ENABLE);
	
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_4;	            //LED1-->PE.5
	GPIO_InitStructure.GPIO_Mode=GPIO_Mode_IPU;
  GPIO_Init(GPIOE, &GPIO_InitStructure);	  	       //ʼGPIO
//  GPIO_SetBits(GPIOE,GPIO_Pin_5); 			 //PE.5  	  
	
	GPIO_EXTILineConfig(GPIO_PortSourceGPIOE,GPIO_PinSource4);
	

	EXTI_InitStruct.EXTI_Line=EXTI_Line4;
	EXTI_InitStruct.EXTI_LineCmd=ENABLE;
	EXTI_InitStruct.EXTI_Mode=EXTI_Mode_Interrupt;
	EXTI_InitStruct.EXTI_Trigger=EXTI_Trigger_Falling;
	EXTI_Init(&EXTI_InitStruct);


	NVIC_InitStruct.NVIC_IRQChannel=EXTI4_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelCmd=ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPreemptionPriority=0x01;
	NVIC_InitStruct.NVIC_IRQChannelSubPriority=0x01;
	NVIC_Init(&NVIC_InitStruct);
}

void	EXTI4_IRQHandler(void)
{
//	void time_init_it_1s();
	u32 i=0,j=0;
	if(EXTI_GetFlagStatus(EXTI_Line4)!=RESET)
	{
		GPIO_ResetBits(GPIOB,GPIO_Pin_5);
		printf("I'm OK!");
	}                                                              //ΣȻǵ͵ƽЧ
//	time_init_it_1s();
	for(i=0;i<9999;i++)
		for(j=0;j<9999;j++);
	
		EXTI_ClearITPendingBit(EXTI_Line4);
}

void key_up_init()
{
	GPIO_InitTypeDef GPIO_InitStruct;
	
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA,ENABLE);
	
	GPIO_InitStruct.GPIO_Mode=GPIO_Mode_IPD;
	GPIO_InitStruct.GPIO_Pin=GPIO_Pin_0;
	GPIO_InitStruct.GPIO_Speed=GPIO_Speed_50MHz;
	GPIO_Init(GPIOA,&GPIO_InitStruct);
	
	GPIO_ResetBits(GPIOA,GPIO_Pin_0);

}